diff -Naur gcc-9.5.0/fixincludes/inclhack.def gcc-9.5.0-irix/fixincludes/inclhack.def
--- gcc-9.5.0/fixincludes/inclhack.def	2022-05-27 03:21:10.455377000 +0000
+++ gcc-9.5.0-irix/fixincludes/inclhack.def	2025-02-15 14:03:04.760408000 +0000
@@ -1190,25 +160,6 @@
                 "extern double cabs ( _Complex z );";
 };
 
-/*
- * Fixup Darwin's broken check for __builtin_nanf.
- */    
-fix = {
-    hackname  = broken_nan;
-    /*
-     *  It is tempting to omit the first "files" entry.  Do not.
-     *  The testing machinery will take the first "files" entry as the name
-     *  of a test file to play with.  It would be a nuisance to have a directory
-     *  with the name "*".
-     */
-    files     = "architecture/ppc/math.h";
-    files     = "architecture/*/math.h";
-    select    = '#if defined\(__APPLE_CC__\) && \(__APPLE_CC__ >= 1345\)';
-    bypass    = "powl";
-    c_fix     = format; 
-    c_fix_arg = "#if 1";
-    test_text = "#if defined(__APPLE_CC__) && (__APPLE_CC__ >= 1345)";
-};
 
 /*
  *  Various systems derived from BSD4.4 contain a macro definition
